Skip to content
LogoLogo

Network

Node API v1.0.0 (Arrekta Node API).

MethodPathSummary
GET/v1/networkNetwork

GET /v1/network

Network.

curl -s http://127.0.0.1:28332/v1/network

Response 200 (application/json): NetworkInfo

FieldTypeRequiredNotes
networkstringyes
p2p_portinteger | nullyesmay be null
peersPeerCountsyes
transportstringyes
user_agentstringyes

Unknown fields may be added within v1; clients must ignore them.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: network_v1_network_get

Schemas

NetworkInfo

FieldTypeRequiredNotes
networkstringyes
p2p_portinteger | nullyesmay be null
peersPeerCountsyes
transportstringyes
user_agentstringyes

Unknown fields may be added within v1; clients must ignore them.

PeerCounts

FieldTypeRequiredNotes
inboundintegeryes
outboundintegeryes

Unknown fields may be added within v1; clients must ignore them.